# CraftPresence

## [v1.7.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.7.2) (2021-07-12)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.7.1.2...v1.7.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Added log\_output to EncodeConfigData  
    - This change adds logging to this method (Disabled by default), and in the case of `EncodeConfigData` will be helpful to diagnose issues relating to placeholder functions.  
- [Fix] Multiple config setting changes  
    - Removed the buildInfo check in `difficulty\_info`. It isn't needed as `GetActiveKeystone` already has fallbacks in place  
    - Removed the buildInfo check in `player\_alliance` for covenant data (Instead just check for if the `C\_Covenants` namespace exists  
    - Increased the `minimumTOC` for `instance\_id` to `50000` (5.0.1) to reflect availability.  
    - Increased the `minimumTOC` for `instance\_group\_size` to `50400` (5.4.0) to reflect availability.  
    - Increased the `minimumTOC` for `lfg\_dungeon\_id` to `80000` (8.0.0) to reflect availability.  
    Note: For these changes to take effect on earlier v1.7.x configs, you can use the `/cp reset placeholders <placeholder\_name>` syntax to reset the individual placeholders.  
